Update flashrom and coreboot-utils packages
Open, Needs TriagePublic

Description

The flashrom and coreboot-utils packages are outdated and would need to be updated in the PureOS repository.
Flashrom is currently version 0.9.9 which doesn't support skylake machines, but version 1.0 was released earlier this year and it does support Skylake : https://www.flashrom.org/Flashrom/1.0

Coreboot-utils also might need a little update, more specifically what is immediately noticeable by users, the cbmem utility will show 'unknown' entries for the timestamps instead of showing that timestamp entry's name, and that's because it's new entries that didn't exist before. The coreboot-utils is from version 4.5, but Coreboot recently released their version 4.8.1 : https://www.coreboot.org/releases/

kakaroto created this task.May 23 2018, 5:41 PM

We are currently up-to-date wrt Debian for flashrom. A request for a new upstream version has been filed here: https://bugs.debian.org/892065

coreboot is maintained by us and is at version 4.5.

Splitting this issue into two separate sub-tasks to match.

Add Comment